Bug 807044 - OSGI packages conflict
Summary: OSGI packages conflict
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-fedorapackager
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Severin Gehwolf
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-26 20:38 UTC by Krzysztof Daniel
Modified: 2014-01-13 00:26 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-06 22:01:50 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Krzysztof Daniel 2012-03-26 20:38:15 UTC
When uploading sources using eclipse-fdpkg

An internal error occurred during: "Uploading Sources".
loader constraint violation: when resolving method "org.apache.http.impl.client.DefaultHttpClient.<init>(Lorg/apache/http/params/HttpParams;)V" the class loader (instance of org/eclipse/osgi/internal/baseadaptor/DefaultClassLoader) of the current class, org/fedoraproject/eclipse/packager/api/UploadSourceCommand, and the class loader (instance of org/eclipse/osgi/internal/baseadaptor/DefaultClassLoader) for resolved class, org/apache/http/impl/client/DefaultHttpClient, have different Class objects for the type /http/params/HttpParams;)V used in the signature

Comment 1 Krzysztof Daniel 2012-03-26 20:39:52 UTC
This may be the source of our earlier uses-conflicts.

Comment 2 Severin Gehwolf 2012-03-29 20:14:05 UTC
Re-assigning component.

Comment 3 Severin Gehwolf 2012-04-06 22:01:50 UTC
This should be fixed with: http://koji.fedoraproject.org/koji/buildinfo?buildID=311661


Note You need to log in before you can comment on or make changes to this bug.